aboutsummaryrefslogtreecommitdiffstats
path: root/tests/functest/odl-sfc/compute_presetup_CI.bash
diff options
context:
space:
mode:
authorGeorge Paraskevopoulos <geopar@intracom-telecom.com>2016-11-11 11:05:07 +0200
committerGeorge Paraskevopoulos <geopar@intracom-telecom.com>2016-11-15 10:19:47 +0200
commit45e3e5662af2997d633bd02a2eb0c7553f442e6e (patch)
treee938c410c58e0d43b37e4bd0d618df21c2245bed /tests/functest/odl-sfc/compute_presetup_CI.bash
parent73c4d745bf2bba060dc8301a9127482f01318de1 (diff)
Copy odl-sfc test from functest to the sfc repo
Migrate odl-sfc testcase from functest repo First related functest commit: 65a5f65fa06c97456f37ca2434cf9e6fc9b758aa Last related functest commit: caa06d8d7b55a1c0608a72f809785d8f418cf541 Change-Id: I206f25d6fb44564b8b163ebb9c43e038851bea71 Signed-off-by: George Paraskevopoulos <geopar@intracom-telecom.com>
Diffstat (limited to 'tests/functest/odl-sfc/compute_presetup_CI.bash')
-rwxr-xr-xtests/functest/odl-sfc/compute_presetup_CI.bash27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/functest/odl-sfc/compute_presetup_CI.bash b/tests/functest/odl-sfc/compute_presetup_CI.bash
new file mode 100755
index 00000000..36148aa1
--- /dev/null
+++ b/tests/functest/odl-sfc/compute_presetup_CI.bash
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# This script must be use with vxlan-gpe + nsh. Once we have eth + nsh support
+# in ODL, we will not need it anymore
+
+set -e
+ssh_options='-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no'
+BASEDIR=`dirname $0`
+INSTALLER_IP=${INSTALLER_IP:-10.20.0.2}
+
+pushd $BASEDIR
+#ip=`sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'fuel node'|grep compute|\
+#awk '{print $10}' | head -1`
+
+ip=$1
+echo $ip
+#sshpass -p r00tme scp $ssh_options correct_classifier.bash ${INSTALLER_IP}:/root
+#sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'scp correct_classifier.bash '"$ip"':/root'
+
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' ifconfig br-int up'
+output=$(sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' ip route | \
+cut -d" " -f1 | grep 11.0.0.0' ; exit 0)
+
+if [ -z "$output" ]; then
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' ip route add 11.0.0.0/24 \
+dev br-int'
+fi